# Booking

Object describing a geographic booking. A booking can either be a point or an area.

## Update booking

 - [PUT /booking](https://docs.transportial.com/apis/booking/handle_139.md): Update a booking

## Create booking

 - [POST /booking](https://docs.transportial.com/apis/booking/handle_58.md): Create a new booking

## Get booking

 - [GET /booking/{id}](https://docs.transportial.com/apis/booking/handle_202.md): Get a booking on id

## Delete booking

 - [DELETE /booking/{id}](https://docs.transportial.com/apis/booking/handle_116.md): Delete a booking

## Get bookings

 - [GET /bookings/{offset}/{amount}](https://docs.transportial.com/apis/booking/handle_239.md): Get list of bookings

## Get bookings

 - [POST /bookings/{offset}/{amount}](https://docs.transportial.com/apis/booking/handle_303.md): Get list of bookings

## Carrier booking confirmation webhook

 - [POST /booking/carrier/{carrierId}/confirm](https://docs.transportial.com/apis/booking/handle_425.md): Receives a booking confirmation from an external ferry or air carrier and updates the corresponding Booking record.

